# 28. Mutatie: meerdere "Notes" opslaan, batchbewerking

Deze mutatie stelt je in staat om meerdere Notities aan een opgegeven Perceel te koppelen.

{% hint style="success" %}
Het maximale aantal Notities dat kan worden opgeslagen is 25.
{% endhint %}

{% hint style="success" %}
Voeg de `uuid` attribuut toe aan de invoer om de Notitie bij te werken.
{% endhint %}

* Een Notitie kan worden gekoppeld aan het Veld via zijn unieke identifier `fieldUuid,`  toe aan de gekoppelde SoilDataset via `soilDatasetUuid`, aan de ZonesMap via `vectorAnalysisMapUuid`.
* De coördinaat van de Notitie kan worden ingesteld met behulp van de `centroid` eigenschap, die gedefinieerde `breedtegraad` en `lengtegraad` waarden vereist.&#x20;
* Het type Notitie kan worden gespecificeerd met behulp van de `type` eigenschap met acceptabele waarden `GEPLAND` of `REAL`.&#x20;
* De beschrijving van de Notitie kan worden opgegeven met behulp van de `commentaar` eigenschap. Als de beschrijving meerdere regels moet bevatten, de `commentaar` attribuut een tekenreeks met regeleinde-tekens bevatten `\\n` om regels te scheiden. Bijvoorbeeld: `"Eerste regel staat hier\\nTweede regel staat hier.\\nDerde regel staat hier."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch opslaan: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch bijwerken: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch opslaan: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch opslaan: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    aanmaakdatum
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/notities-pins/28.-mutatie-meerdere-notes-opslaan-batchbewerking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
